Skip to main content
POST
Collateral Account Balance Summary

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
ticker
string

Filter by requested asset. For example: BTC

If not specified, returns summary for all assets.

Example:

"BTC"

request
string

Request signature

Example:

"{{request}}"

nonce
string

Unique request identifier

Example:

"{{nonce}}"

Response

Successful response - returns detailed balance information per asset

asset
string

Asset ticker symbol

Example:

"BTC"

balance
string

Current balance amount

Example:

"0.5"

borrow
string

Amount currently borrowed

Example:

"0"

availableWithoutBorrow
string

Available balance without using borrow

Example:

"0.5"

availableWithBorrow
string

Available balance including borrowing capacity

Example:

"123.456"